//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

namespace CommonHelpers {

//**************************************************************************************************
partial class HAbortConsoleInputException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string DefaultMessage
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Console input was intentionally aborted by input idle polling callback.";
   case HInCodeSupportedLanguage.Russian: return
      "Консольный ввод был намеренно прерван обратным вызовом ожидательного опроса.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HAbortConsoleInputException
//**************************************************************************************************

} // CommonHelpers
